Retention analytics
GET
/analytics/v1/retentionReturns retention cohorts over a date range
Authorization
Bearer Authorization<token>
In: header
Query Parameters
period?string
Cohort period (day, week, month)
start?string
Start date (inclusive)
end?string
End date (inclusive)
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.RetentionAnalytics",
"$ref-value": {
"properties": {
"cohorts": {
"items": {
"$ref": "#/components/schemas/analyticsv1.RetentionCohort",
"$ref-value": {
"properties": {
"cohort_date": {
"type": "string"
},
"cohort_size": {
"type": "integer"
},
"retention_data": {
"items": {
"type": "number"
},
"type": "array"
}
},
"type": "object"
}
},
"type": "array"
},
"period": {
"type": "string"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/analytics/v1/retention"OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.RetentionAnalytics",
"$ref-value": {
"properties": {
"cohorts": {
"items": {
"$ref": "#/components/schemas/analyticsv1.RetentionCohort",
"$ref-value": {
"properties": {
"cohort_date": {
"type": "string"
},
"cohort_size": {
"type": "integer"
},
"retention_data": {
"items": {
"type": "number"
},
"type": "array"
}
},
"type": "object"
}
},
"type": "array"
},
"period": {
"type": "string"
}
},
"type": "object"
}
}